From 9246fd3836ddd961acff23500b152e110c942ff2 Mon Sep 17 00:00:00 2001
From: Stanislav Motylkov <x86corez@gmail.com>
Date: Wed, 4 Oct 2017 23:46:35 +0300
Subject: [PATCH 1/1] rasapi32: Add stub for RasGetConnectionStatistics

---
 dlls/rasapi32/rasapi.c      | 6 ++++++
 dlls/rasapi32/rasapi32.spec | 1 +
 2 files changed, 7 insertions(+)

diff --git a/dlls/rasapi32/rasapi.c b/dlls/rasapi32/rasapi.c
index b1721c6175..791b0dab13 100644
--- a/dlls/rasapi32/rasapi.c
+++ b/dlls/rasapi32/rasapi.c
@@ -547,3 +547,9 @@ DWORD WINAPI RasGetLinkStatistics(HRASCONN connection, DWORD entry, RAS_STATS *s
     FIXME("(%p,%u,%p), stub!\n", connection, entry, statistics);
     return 0;
 }
+
+DWORD WINAPI RasGetConnectionStatistics(HRASCONN connection, RAS_STATS *statistics)
+{
+    FIXME("(%p,%p), stub!\n", connection, statistics);
+    return ERROR_UNKNOWN;
+}
diff --git a/dlls/rasapi32/rasapi32.spec b/dlls/rasapi32/rasapi32.spec
index 66b21a657c..48d7a73dc8 100644
--- a/dlls/rasapi32/rasapi32.spec
+++ b/dlls/rasapi32/rasapi32.spec
@@ -29,6 +29,7 @@
 @ stdcall RasGetAutodialEnableW(long ptr)
 @ stdcall RasGetAutodialParamA(long ptr ptr)
 @ stdcall RasGetAutodialParamW(long ptr ptr)
+@ stdcall RasGetConnectionStatistics(ptr ptr)
 @ stub RasGetConnectResponse
 @ stdcall RasGetConnectStatusA(ptr ptr)
 @ stdcall RasGetConnectStatusW(ptr ptr)
-- 
2.11.0.windows.3

